/* import your font */
@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@400;500;700&display=swap');

@font-face {
  font-family: 'cnnSansL';
  src: local('cnnSansL'), url(../fonts/CNNSans-Light.ttf) format('truetype');
}
@font-face {
  font-family: 'cnnSansB';
  src: local('cnnSansB'), url(../fonts/CNNSans-Bold.ttf) format('truetype');
}

/* Update below variables */
:root {
  --main-color: #ffffff;
  --main-width: 100%;
  --copy-color: #262626; /* color for title and body copy */
  --main-font: 'Montserrat';
  --logo-width: 71px;
  --content-width-desktop: 670px; /* desktop size: width for title and body copy */
  --content-width-tablet: 80%; /* tablet size: width for title and body copy */
  --content-width-mobile: 90%; /* mobile size: width for title and body copy */
  --spacing-large: 50px; /* desktop size: padding/margin for logo(above video), copy, and button*/
  --spacing-small: 30px; /* smaller sizes: padding/margin for logo(above video), copy, and button*/
}

/* uncomment below to hide logo tooltip */
/* .tooltip {
  display: none;
} */

/* body copy */
.videoPG__copy--body {
  font-family: cnnSansL;
  font-size: 20px;
  line-height: 32px;
  color: #666666;
}
@media (max-width: 767px) {
  .videoPG__copy--body {
    font-size: 16px;
    line-height: 24px;
  }
}

/* title copy */
.videoPG__copy--title {
  font-family: cnnSansB;
  font-size: 24px;
  line-height: 32px;
  font-weight: bold;
  margin: 0;
}

@media (max-width: 767px) {
  .videoPG__copy--title {
    letter-spacing: 0.03em;
    font-size: 18px;
    line-height: 24px;
  }
}

/* cta button*/
.videoPG__cta__button {
  border: none;
  background-color: #1775d0;
  padding: 16px 31px;
  color: var(--main-color);
  font-family: cnnSansB;
  font-size: 12px;
  line-height: 16px;
  text-align: center;
  letter-spacing: 0.05em;
  text-transform: uppercase;

  /* Branded/Black/50 */

  color: #fefefe;
}

.videoPG__cta__button:hover {
  background-color: #5098dd;
}

.videoPG__cta__button:focus {
  background-color: #5098dd;
}

/* arrow inside cta button */
.videoPG__cta__arrow {
  margin-bottom: -3px;
  margin-left: 10px;
  width: 20px;
  height: 17px;
  fill: none;
}

/* common styling used often throughout the page */
.flexCol {
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.flexRow {
  display: flex;
  justify-content: center;
}

.marginBottom {
  margin-bottom: var(--spacing-large);
}

@media (max-width: 767px) {
  .marginBottom {
    margin-bottom: var(--spacing-small);
  }
}

.paddingTopNBottom {
  padding: var(--spacing-large) 0;
}

@media (max-width: 767px) {
  .paddingTopNBottom {
    padding: var(--spacing-small) 0;
  }
}

.layout {
  width: 100%;
  height: auto;
  align-self: center;
}

.commonWidth {
  align-self: center;
  width: var(--content-width-desktop);
  height: auto;
}

@media (max-width: 767px) and (min-width: 481px) {
  .commonWidth {
    width: var(--content-width-tablet);
  }
}
@media (max-width: 480px) {
  .commonWidth {
    width: var(--content-width-mobile);
  }
}
